import { KeepAlive } from 'vue'
import { RouterView } from 'vue-router'

export default function (name: string) {
  return defineComponent({
    name,
    setup() {
      return () => (
        <RouterView>
          {({ Component }) => (
            <KeepAlive>
              <Component />
            </KeepAlive>
          )}
        </RouterView>
      )
    },
  })
}
